<?
if($ku['level']<9)
{
echo'
<div class="event"><h1>Загс</h1></div>
<div class="content">
<div class="block">
Загс доступен с 10лвл
</div></div>';
include_once 'inc/foot.php';
exit;
}
if(isset($_POST['name']))
{
$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));

$bv=mysql_query("SELECT * FROM `zags` WHERE `avtor`='".$ku['nick']."'");

$x=mysql_query("SELECT * FROM `kolhoz_user` WHERE `nick`='$name'");
$xx=mysql_fetch_assoc($x);
if($ku['pol']!=1) err_game('Заявку может подать только мужчина!');
elseif($ku['rubies']<199) no_rubies(200-$ku['rubies']);
elseif(!$name) err_game('Пустые параметры!');

elseif(!mysql_num_rows($x)) err_game('Такого пользователя не существует!');
elseif(mysql_num_rows($bv)!=0) err_game('Вы уже ждёте свадьбу!<br /><small>Или время регистрации вышло, удаление просроченой заявки происходит в течении 1-2часов</small>');


elseif($xx['nick']==$ku['nick']) err_game('Вы хотите женится сам на себе?');
elseif($xx['pol']==$ku['pol']) err_game( 'Однополые браки строго запрещены!');
else{
mysql_query("UPDATE `kolhoz_user` SET  `rubies` = '".($ku['rubies']-200)."' WHERE `id` = '$ku[id]'");

mysql_query("INSERT INTO `zags` (`date`,`on`,`ona`,`avtor`)VALUES('".(time()+60*25)."','".$ku['nick']."','$name','".$ku['nick']."')");

$msg='Я делаю тебе предложение.
Если согласна то в '.date("H:i:s, d-m-Y",(time()+60*25)-600).' приходи в загс! 
С любовью '.$ku['nick'].'!';

$love = mysql_query("SELECT * FROM `kolhoz_user` WHERE `nick`='$name'");
$love=mysql_fetch_assoc($love);
mysql_query("INSERT INTO `mail` SET `id_user` = '$love[id]', `id_kont` = '$ku[id]', `msg` = '$msg', `time` = '$time', `type` = 'to'");
mysql_query("INSERT INTO `mail` SET `id_user` = '$ku[id]', `id_kont` = '$love[id]', `msg` = '$msg', `time` = '$time', `type` = 'at', `read` = '1'");

msg_game( 'Свадьба назначена на '.date("H:i:s, d-m-Y",(time()+60*25)-600).'');
}
}
?>

<div class="event"><h1>ЗАГС</h1></div>
<div class="content">
<div class="block">

<div>
<img width="48" height="48" src="/images/zags.png" alt="o" class="portrait"/>

            <span class="epic">ЗАГС</span> - предназначен для государственной регистрации заключения и расторжения брака.
        
    
</div>


<?
@$action=htmlspecialchars(trim($_GET['action']));

mysql_query("DELETE FROM `zags` WHERE `data`='".(time()+60*60)."'");

switch($action){

default:
$x=mysql_query("SELECT * FROM `zags` WHERE `on`='".$ku['nick']."' OR `ona`='".$ku['nick']."'");
@$x=mysql_fetch_assoc($x);

if (($x['date']-600)>time()){
echo'У вас назначена свадьба c<font color="green">';

if($ku['pol']==1){
echo' '.$x['ona'].'';
}
else
{
echo' '.$x['on'].'';
};

echo'</font><br/>
День свадьбы: <font color="green">'.date("d-m-Y",$x['date']).'</font><br/>
Время: <font color="green">'.date("H:i:s",$x['date']-600).'</font><br/>
<small>Прошу не опаздывать у вас будет 10мин на сборы!</small>';
}else{

if (($x['date']-600)<time() && $x['date']>time()){
if (($ku['pol']==1 && empty($x['onyes'])) || ($ku['pol']!=1 && empty($x['onayes']))){
if($ku['pol']==1){
echo'Согласны ли вы расписаться с '.$x['ona'].'?<br/>';
}else{
echo'Согласны ли вы расписаться с '.$x['on'].'?<br/>';
};

echo '<a href="?zags&action=ees">Конечно</a>';

}else{
echo'Здравствуй, '.$ku['nick'].'!<br/>
Сегодня у тебя отвественный и особенный день!<br/>
Ожидай вторую половинку.<br/>';

}
}else{


if (!@$ku['brak']) {

echo'<form method="post"><br/>
<div style="clear:both"></div>
<div class="title">
        Гос.пошлина на регистрацию брака - 200 рубинов, оплата принимается от жениха.<br/>
</div>

';
echo'<small>Введите ник того,<br />кому хотите сделать предложение:</small><br/>';
echo '<input name="name" type="text" value=""/>';
echo '<br /><input type="submit" value="Сделать"/>';
echo '</form>';

}else{

echo"Вы состоите в браке с ";
echo'<font color="green"> '.$ku['brak'].'</font>';
echo'<br/>Администрация искренне поздравляет вашу пару)<br/>';

}}}
break;



case 'ees':
$x=mysql_query("SELECT * FROM `zags` WHERE `on`='".$ku['nick']."' OR `ona`='".$ku['nick']."'");
if(!mysql_num_rows($x)){echo 'Ну и что ты здесь забыл?';break;};
if(($x['data']-600) > time())
{echo'Время еще неподошло! Так внетерпеж?';
break;}
$x=mysql_fetch_assoc($x);

if($ku['pol']==1){
if(!empty($x['onyes'])){echo 'Вы уже согласились!';break;};
mysql_query("UPDATE `zags` SET `onyes`='yes' WHERE `id`='".$x['id']."'");
echo 'Ваше соглашение принято! Ожидайте соглашения второй стороны!';
}else{
if(!empty($x['onayes'])){echo 'Вы уже согласились!';break;};
mysql_query("UPDATE `zags` SET `onayes`='yes' WHERE `id`='".$x['id']."'");
echo 'Ваше соглашение принято! Ожидайте соглашения второй стороны!';
};


$c=mysql_query("SELECT * FROM `zags` WHERE `on`='".$ku['nick']."' OR `ona`='".$ku['nick']."'");
$c=mysql_fetch_assoc($c);
if(!empty($c['onayes']) && !empty($c['onyes'])){
echo '<br/>Поздравляем! Ваш брак состоялся! Теперь вы законный муж и жена!';

mysql_query("UPDATE `kolhoz_user` SET `brak`='".$c['ona']."' WHERE `nick`='".$c['on']."'");
mysql_query("UPDATE `kolhoz_user` SET `brak`='".$c['on']."' WHERE `nick`='".$c['ona']."'");

mysql_query("DELETE FROM `zags` WHERE `on`='".$ku['nick']."' OR `ona`='".$ku['nick']."'");
$msg='Поздравим '.$c['ona'].' и '.$c['on'].' с успешным заключением брака :bravo';
mysql_query("INSERT INTO `kolhoz_chat` (`id_user`,`time`,`mother`,`type`,`msg`)VALUES('1','".time()."','1','komm','$msg')");
};

echo '<br/><a href="?zags">В загс</a>';
break;

};


?>

</div>
</div>
<? include_once 'inc/foot.php'; ?>